Bug 1259187 - Data types declared for some columns of dashbuilder data sets used in console are wrong
Data types declared for some columns of dashbuilder data sets used in console...
Status: VERIFIED
Product: JBoss BPMS Platform 6
Classification: JBoss
Component: Business Central (Show other bugs)
6.2.0
Unspecified Unspecified
urgent Severity high
: ER4
: 6.2.0
Assigned To: Marco Rietveld
Jan Hrcek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-02 03:19 EDT by Jan Hrcek
Modified: 2017-12-07 18:37 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Hrcek 2015-09-02 03:19:42 EDT
Description of problem:
Some dataset columns in jbpm-console's DashbuilderBootstrap are declared with wrong data type. This causes flurry of modals whenever user enters data of wrong type when defining new filter (e.g. String where number is expected). This can be easily prevented by using appropriate types when declaring dashbuilder data sets used by console.

This is quite a serious issue that needs to be resolved in the product. See 
https://issues.jboss.org/browse/JBPM-4724 for details

Version-Release number of selected component (if applicable):
BPM Suite 6.3.0

How reproducible:
Always

Steps to Reproduce:
1. In Process instance perspective start new filter creation.
2. Use column "processInstanceId" with operator "equals_to" and enter some String value like "asdf".
3. Click Ok and observe the deluge of modals.

Actual results:
6 modals with errors appears every time value of incorrect type is entered

Expected results:
The dialog for filter creation should not accept value of wrong type. This can be achieved by declaring correct type of columns when declaring dashbuilder data sets.

Additional info:
Comment 2 Jan Hrcek 2015-10-22 01:23:16 EDT
Now it will be harder for users to make mistakes by entering incorrect filter parameters. Good job!
Verified with BPM Suite 6.2.0 ER4
Comment 3 Bugzilla account termination 2017-12-07 18:37:39 EST
Employee 'msalatin@redhat.com' has left the company.

Note You need to log in before you can comment on or make changes to this bug.